Aller au contenu
Esc
↑↓naviguer↵ouvrir⌘Japerçu

List inboxes

The team’s inboxes, newest first (after pages toward older ones). An inbox-scoped key lists only its inbox.

GET/inboxes
Autorisation
AuthorizationJeton Bearer · headerrequis

A BillionSend API key (bs_…).

Paramètres de requête
limitinteger

Page size, 1-100 (default 20)

min 1 · max 100
afterstring<uuid>

Cursor: id of the last item of the current page; returns the next page. Must be an id this list returned; there is no sentinel value.

beforestring<uuid>

Cursor: id of the first item of the current page; returns the previous page; same rule as after.

kindstring

BillionSend extension: agent or human inboxes only

Valeurs autorisées :agenthuman
Réponses
200

Inboxes

objectstringrequis
Valeurs autorisées :list
has_morebooleanrequis
dataobject[]requis
Afficher les propriétés
Tableau de object
idstring<uuid>requis
namestring | nullrequis
email_addressstringrequis
from_namestring | nullrequis
unreadintegerrequis
last_receivedstring | nullrequis
created_atstringrequis
updated_atstringrequis
kindstringrequis
Valeurs autorisées :agenthuman
sharedbooleanrequis
expires_atstring | nullrequis
401

Missing, malformed, unknown or revoked API key

statusCodenumberrequis
namestringrequis
messagestringrequis
404

Pagination cursor not found

statusCodenumberrequis
namestringrequis
messagestringrequis
422

Validation error

statusCodenumberrequis
namestringrequis
messagestringrequis
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberrequis
namestringrequis
messagestringrequis
Essayer
Serveur
Autorisation
Paramètres
Requête
curl -X GET 'https://api.billionsend.com/inboxes' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Réponse
{
  "object": "list",
  "has_more": true,
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "email_address": "string",
      "from_name": "string",
      "unread": 0,
      "last_received": "string",
      "created_at": "string",
      "updated_at": "string",
      "kind": "agent",
      "shared": true,
      "expires_at": "string"
    }
  ]
}

Cette page vous a-t-elle été utile ?